From f077f5e690e422d39b1cf86d9b00906e8880d65f Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Mon, 22 Jun 2020 18:52:04 +0530
Subject: [PATCH 06/10] init.d Changes

---
 ql-ol-rootfs/etc/init.d/aaa_quectel_pcm_daemon | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/ql-ol-rootfs/etc/init.d/aaa_quectel_pcm_daemon b/ql-ol-rootfs/etc/init.d/aaa_quectel_pcm_daemon
index 20d53de..6dab79d 100755
--- a/ql-ol-rootfs/etc/init.d/aaa_quectel_pcm_daemon
+++ b/ql-ol-rootfs/etc/init.d/aaa_quectel_pcm_daemon
@@ -14,6 +14,13 @@ case "$1" in
        start)
                 echo -n "Starting quectel_pcm_daemon: "
                 start-stop-daemon -S -b -a /usr/bin/quectel_pcm_daemon
+		echo 2 > /sys/class/gpio/export
+		echo 3 > /sys/class/gpio/export
+		echo 4 > /sys/class/gpio/export
+		echo out > /sys/class/gpio/gpio4/direction
+		echo 5 > /sys/class/gpio/export
+		echo out > /sys/class/gpio/gpio5/direction
+		insmod /usr/lib/modules/3.18.20/kernel/drivers/spi/spidev.ko  busnum=6 chipselect=0 spimode=0 maxspeed=19200000
                 echo "done"
                 ;;
        stop)
-- 
2.7.4

